import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useDevices() {
  return useQuery({
    queryKey: ['user', 'devices'],
    queryFn: () => UserService.userListDevices({}).then((r) => r.data),
    staleTime: 1000 * 60 * 2,
  });
}
